Page MenuHomePhabricator

Use consistent icons for same/similar functions between editors
Closed, ResolvedPublic

Description

The updated mediawiki icons have been completed for some time. For consistency and ease of use buttons that refer to the same or nearly identical features should use the same icon assets.

This currently covers updating the VisualEditor icons to the most up-to-date versions as well as using the same assets in the wikitext editor, if these should be separate tasks we can break them up and create dependencies.

note: this was discussed verbally over a month ago, but verbal tasks are easily forgotten when prioritization comes around, so logging it here.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedEsanders
OpenNone
OpenNone
ResolvedJules78120
OpenNone
ResolvedDannyH
OpenNone
OpenEsanders
OpenNone
OpenEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders

Event Timeline

Jaredzimmerman-WMF raised the priority of this task from to Needs Triage.
Jaredzimmerman-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2015, 11:30 PM
Jdforrester-WMF triaged this task as Low priority.Jun 29 2015, 8:38 PM
Jdforrester-WMF set Security to None.
GOIII added a subscriber: GOIII.Jun 29 2015, 10:54 PM
Pine added a subscriber: Pine.Aug 19 2016, 10:06 PM

This could potentially be a big deal for my video series. Is this planned to get done anytime in the next 12 months, or is this years away from being implemented?

@Pine The original idea of this task was to make the current wikitext editor (as of MediaWiki 1.27.0) and Visual Editor use the same icons for same functionality. This specifically is not part of any near-future development plans. But, as @Esanders updated the task already, there is current development on a modern wikitext editor, that aims to bring the user interface closer together with Visual Editor.

Pine added a comment.Aug 24 2016, 4:47 AM

Thanks. I've asked about the timeline in that other task.

Elitre added a subscriber: Elitre.Apr 5 2018, 8:26 AM
Deskana added a subscriber: Deskana.

I believe T191031 and T143508 resolve this?

Volker_E closed this task as Resolved.Apr 17 2018, 1:34 AM
Volker_E assigned this task to Esanders.

@Deskana Agreed. :)

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 17 2018, 1:34 AM